<!--~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
  ~ /*                                                                                            ~
  ~  - #%L                                                                                        ~
  ~  - CHVote-Receiver                                                                            ~
  ~  - %%                                                                                         ~
  ~  - Copyright (C) 2016 - 2018 République et Canton de Genève                                   ~
  ~  - %%                                                                                         ~
  ~  - This program is free software: you can redistribute it and/or modify                       ~
  ~  - it under the terms of the GNU Affero General Public License as published by                ~
  ~  - the Free Software Foundation, either version 3 of the License, or                          ~
  ~  - (at your option) any later version.                                                        ~
  ~  -                                                                                            ~
  ~  - This program is distributed in the hope that it will be useful,                            ~
  ~  - but WITHOUT ANY WARRANTY; without even the implied warranty of                             ~
  ~  - MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                               ~
  ~  - GNU General Public License for more details.                                               ~
  ~  -                                                                                            ~
  ~  - You should have received a copy of the GNU Affero General Public License                   ~
  ~  - along with this program. If not, see <http://www.gnu.org/licenses/>.                       ~
  ~  - #L%                                                                                        ~
  ~  */                                                                                           ~
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~-->

<section role="status">
  <div class="accessibility-text">
    <p>{{'global.progress.accessibility.begin' | translate}}</p>
    <p>{{'global.progress.accessibility.step' | translate}}{{currentStep + '.step-name' | translate}}</p>
  </div>
  <div class="progress-tracker" data-progress-tracker-steps="6">
    <div class="progress-tracker-line" aria-hidden="true">
      <div class="progress-tracker-line-content">
        <div class="progress-tracker-line-end"></div>
        <div class="progress-tracker-line-main"></div>
        <div class="progress-tracker-line-end"></div>
      </div>
    </div>

    <ol id="progress-tracking" class="progress-tracker-content">
      <li class="{{getStepState(step.step)}}" vote-workflow-step *ngFor="let step of allSteps"
          [stepStatus]="getStepState(step.step)"
          [stepNumber]="step.stepNumber"
          [step]="step.step"></li>
    </ol>
  </div>
  <div class="accessibility-text">
    <p>{{'global.progress.accessibility.end' | translate}}</p>
  </div>
</section>
